Bug 473799 - gpk-update-icon-bugreport
gpk-update-icon-bugreport
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-30 13:05 EST by Alexey Kuznetsov
Modified: 2009-06-03 05:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-03 05:21:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gpk-update-icon-bugreport.txt (265.71 KB, text/plain)
2008-11-30 13:12 EST, Alexey Kuznetsov
no flags Details
Fedora 10 bug fix update crash (298.50 KB, text/plain)
2008-12-19 11:31 EST, Mike Harvey
no flags Details
Near useless bugbuddy report due to ptrace EPERM problem. (1.37 KB, text/plain)
2009-01-30 15:15 EST, Andy Walls
no flags Details

  None (edit)
Description Alexey Kuznetsov 2008-11-30 13:05:27 EST
just happens
Comment 1 Alexey Kuznetsov 2008-11-30 13:12:06 EST
Created attachment 325136 [details]
gpk-update-icon-bugreport.txt
Comment 2 Richard Hughes 2008-12-01 07:21:42 EST
I'm going to need waaaaay more information than that.
Comment 3 Alexey Kuznetsov 2008-12-01 07:40:58 EST
:)

That happens one. Everyting what i have this report.file...
Comment 4 Mike Harvey 2008-12-19 11:31:16 EST
Created attachment 327460 [details]
Fedora 10 bug fix update crash

Not sure if this will help.  I'm running Fedora 10 and I received a similar crash.  I didn't want to enter a separate bug as my crash seems to be very similar or the same as this one.  See attached.  I don't have any real steps to reproduce.  I just clicked the update icon on the services tool bar, and it crashed.
Comment 5 Andy Walls 2009-01-30 15:15:36 EST
Created attachment 330502 [details]
Near useless bugbuddy report due to ptrace EPERM problem.
Comment 6 Andy Walls 2009-01-30 15:16:09 EST
I can reproduce this bug reliably on Fedora 9.

How to reproduce:

1. Log into GNOME session
2. Lock screen
3. Wait patiently for a few (2-3?) minutes
4. Move the mouse, and a login prompt will not appear
5. Switch to a VT and log in as root
6. ps axf | grep bug   to verify bug-buddy is showing a window for
gpk-update-icon
7. ps axf | grep screensaver
8. kill (pid of gnome's screensaver)
9. VT switch back to Gnome desktop
10. Cancel the auth prompt window for refreshing package lists
11. Click on button for bug buddy to save report.

Details:

Original bug buddy reports had a large amount of hexadecimal spew on threads
and states.  After upgrading to gnome-packagekit-debuginfo  bug-buddy report is
close to nothing due to a ptrace gripe (see my attached useless bug buddy report).

Please advise on further data collection steps.  Having the screensaver lock
out my GUI because gpk-update-icon has caused a focus grab for auth purposes is
a hassle.
Comment 7 Richard Hughes 2009-04-15 12:36:14 EDT
can you try running gpk-update-icon --verbose on the command line then, Thanks.

Note You need to log in before you can comment on or make changes to this bug.